Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#60531 - Networks not working in linux-lts-4.14.77-1 in Acer A315-32

Attached to Project: Arch Linux
Opened by Gaurav Yadav (gaurav_ballia) - Monday, 22 October 2018, 14:43 GMT
Task Type Bug Report
Category Kernel
Status Unconfirmed
Assigned To No-one
Architecture x86_64
Severity Critical
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 0%
Votes 2
Private No

Details

Description:
Networks aren't working with linux-lts-4.14.77-1 kernel after upgrading linux-firmware to version 20181018.d877533-1. It's working fine with the normal kernel though that's currently at version 4.18.16.arch1-1 (which is latest as of right now).
System details:
Acer Aspire 3 A315-32
Intel Pentium Silver N5000
Atheros QCNFA435
(All the packages are up-to-date)

Additional info:
* package version(s)linux-lts-4.14.77-1
* config and/or log files etc.Don't know what file would be relevant. I want you to suggest one if you need.


Steps to reproduce:It just happens always.
This task depends upon

Comment by loqs (loqs) - Monday, 22 October 2018, 19:07 GMT
Please post the dmesg for both linux and linux-lts and details of what is controlling the network adapter eg netctl/systemd-networkd/manual.
Comment by Gaurav Yadav (gaurav_ballia) - Tuesday, 23 October 2018, 01:30 GMT
Here you go..
I use networkmanager+nm-applet to connect but i tried wifi-menu as well. It says "Invalid Interface Specification" and its help message following it.
Comment by Gaurav Yadav (gaurav_ballia) - Tuesday, 23 October 2018, 01:49 GMT
I just upgraded my system and got new version of lts i.e 4.14.78-1 but its still not working
Comment by David (davlucasgmail.com) - Wednesday, 24 October 2018, 08:03 GMT
it seems like a firmware issue (but it's true that it works with the linux not hardened kernel ) :
[ 11.235421] intel_telemetry: version 1.0.0 loaded
[ 11.245565] ath10k_pci 0000:03:00.0: Direct firmware load for ath10k/pre-cal-pci-0000:03:00.0.bin failed with error -2
[ 11.245584] ath10k_pci 0000:03:00.0: Direct firmware load for ath10k/cal-pci-0000:03:00.0.bin failed with error -2


Otherwise , with
Reboot, and as soon as you're connected:

journalctl --no-pager -b |grep ath10k


After,
Could you downgrade linux-firmware and check if it works ?

Comment by loqs (loqs) - Wednesday, 24 October 2018, 08:42 GMT
From the lts dmesg provided
[ 11.292337] ath10k_pci 0000:03:00.0: qca9377 hw1.1 target 0x05020001 chip_id 0x003821ff sub 11ad:08a6
[ 11.292339] ath10k_pci 0000:03:00.0: kconfig debug 0 debugfs 1 tracing 0 dfs 0 testmode 0
[ 11.292931] ath10k_pci 0000:03:00.0: firmware ver WLAN.TF.2.1-00021-QCARMSWP-1 api 6 features wowlan,ignore-otp crc32 42e41877
[ 14.360012] ath10k_pci 0000:03:00.0: unable to read from the device
[ 14.360016] ath10k_pci 0000:03:00.0: could not execute otp for board id check: -110
[ 14.360813] ath10k_pci 0000:03:00.0: failed to get board id from otp: -110
[ 14.361749] ath10k_pci 0000:03:00.0: could not probe fw (-110)

could you email either

ath10k@lists.infradead.org (open list:QUALCOMM ATHEROS ATH10K WIRELESS DRIVER)
linux-wireless@vger.kernel.org (open list:NETWORKING DRIVERS (WIRELESS))

Please provide the full dmesg and the firmware with the issue is from https://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git/tree/?id=d87753369b82c5f362250c197d04a1e1ef5bf698
Comment by Amber (coolbooks2) - Thursday, 25 October 2018, 19:45 GMT
I have also experienced this problem on my Acer E5-573-33SE with a Qualcomm Atheros QCA9377 with the latest update. The linux-firmware package is the issue as it works with the old version and downgrading the kernel makes no difference. Works fine with the non-lts package as Gaurav Yadav has stated.
Comment by Gareth (Frogfoot9013) - Thursday, 25 October 2018, 20:20 GMT
The same issue is occurring for me, again on an Acer laptop with a Qualcomm Atheros QCA9377 wireless card. Like those who commented earlier, downgrading the linux-firmware package fixes the issue.
Comment by loqs (loqs) - Thursday, 25 October 2018, 21:46 GMT
Has anyone affected contacted upstream?
Comment by Gaurav Yadav (gaurav_ballia) - Friday, 26 October 2018, 04:00 GMT
yeah, its working with downgraded firmware
Comment by Andre Bordokan (Ninja333) - Saturday, 27 October 2018, 14:36 GMT
Same issue occurring for me as well, downgrading solved. I'm using an Acer E5-575G-53VG with the following wireless adapter:
QCA9377 802.11ac Wireless Network Adapter (Qualcomm Atheros).

I am a beginner Linux user, but I am glad to help in any way. Just provide me with the commands you need.
Comment by Badr Rida (badr.rada) - Sunday, 04 November 2018, 11:23 GMT
I have experienced this problem too,
I managed to fix it by downgrading the Linux-firmware.

Loading...